import { createRouter, createWebHistory } from "vue-router";
import {apiSystemUser} from '@/api/system'

//all routes
const appAllRoutes = [];
function importAllRoutes (r){
  for(let key in r) {
    appAllRoutes.push(...r[key].default)
  }
}
importAllRoutes(import.meta.glob('./modules/*.js',{ eager: true }))

const routes = [
  ...appAllRoutes,

  {
    path:'/',
    redirect: '/login'
  },
  {
    path:'/login',
    name:'Login',
    component: () => import("@/views/Login.vue"),
    meta:{
      title:'登录'
    }
  },
  {
    path:'/temppage',
    name:'AutoLogin',
    component: () => import("@/views/AutoLogin.vue"),
    meta:{
      title:'登录'
    }
  },
  {
    path: "/:pathMatch(.*)",
    name: "error",
    component: () => import("@/views/404.vue"),
    meta: { title: "404" },
  },
];

const router = createRouter({
  history: createWebHistory(import.meta.env.VITE_APP_BASE_URL),
  routes,
});

const checkTokenPageWhiteArr=['/404','/login','/temppage']
router.beforeEach(async (to, from, next) => {
  // to and from are Route Object,next() must be called to resolve the hook
  // 进入每个页面前校验用户token
  try {
    if(checkTokenPageWhiteArr.includes(to.path)) return next()
    const res=await apiSystemUser.checkUserToken()
    if(res.Ret!==200) {
      next('/login')
      return
    }
    next()
  } catch (error) {
    next('/login')
  }
  
})


export default router;
